# F5 BIG-IP

### Supported Platforms

| Platform | Metrics | Logs | Traces |
| -------- | ------- | ---- | ------ |
| Linux    | ✓       |      |        |
| Windows  | ✓       |      |        |
| macOS    | ✓       |      |        |

### Configuration Table

<table><thead><tr><th width="162.046875">Parameter</th><th width="103.56640625">Type</th><th width="83.3125">Default</th><th>Description</th></tr></thead><tbody><tr><td>address*</td><td><code>string</code></td><td></td><td>The hostname or IP address of the Big-IP environment.</td></tr><tr><td>port</td><td><code>int</code></td><td>443</td><td>The TCP port of the Big-IP environment.</td></tr><tr><td>username*</td><td><code>string</code></td><td></td><td>Username used for authenticating with Big-IP.</td></tr><tr><td>password*</td><td><code>string</code></td><td></td><td>Password used for authenticating with Big-IP.</td></tr><tr><td>collection_interval</td><td><code>int</code></td><td>60</td><td>Sets how often (seconds) to scrape for metrics.</td></tr><tr><td>strict_tls_verify</td><td><code>bool</code></td><td>false</td><td>Enable to require TLS certificate verification.</td></tr><tr><td>ca_file</td><td><code>string</code></td><td></td><td>Certificate authority used to validate the database server's TLS certificate. It's not required if the collector's operating system already trusts the certificate authority.</td></tr><tr><td>mutual_tls</td><td><code>bool</code></td><td>false</td><td>Enable to require TLS mutual authentication.</td></tr><tr><td>cert_file</td><td><code>string</code></td><td></td><td>A TLS certificate used for client authentication if mutual TLS is enabled.</td></tr><tr><td>key_file</td><td><code>string</code></td><td></td><td>A TLS private key used for client authentication if mutual TLS is enabled.</td></tr></tbody></table>

<mark style="color:red;">\*</mark>*<mark style="color:red;">required field</mark>*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bindplane.com/integrations/sources/f5-big-ip.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
